## com.trilead.ssh2.packets
Class PacketNewKeys

    java.lang.Object
      com.trilead.ssh2.packets.PacketNewKeys

    public class PacketNewKeys

extends java.lang.Object

PacketNewKeys.

Constructor Summary
`PacketNewKeys()`
`PacketNewKeys(byte[] payload, int off, int len)`

Method Summary
`byte[]` `getPayload()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketNewKeys

    public PacketNewKeys()

### PacketNewKeys

    public PacketNewKeys(byte[] payload,
                         int off,
                         int len)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPayload

    public byte[] getPayload()